Loading...
Searching...
No Matches
characteristic_rep< T, M >

## Detailed Description

template<class T, class M>
class rheolef::characteristic_rep< T, M >

Definition at line 167 of file characteristic.h.

## Public Types

typedef std::map< std::string, characteristic_on_quadrature< T, M > > | map_type

## Public Member Functions

| characteristic_rep (const field_basic< T, M > &dh)
const field_basic< T, M > & | get_displacement () const
const characteristic_on_quadrature< T, M > & | get_pre_computed (const space_basic< T, M > &Xh, const field_basic< T, M > &dh, const piola_on_pointset< T > &pops) const

## Protected Attributes

field_basic< T, M > | _dh
map_type | _coq_map

## Member Typedef Documentation

## map_type

template<class T, class M>

typedef std::map<std::string,characteristic_on_quadrature<T,M> > map_type

Definition at line 169 of file characteristic.h.

## Constructor & Destructor Documentation

## characteristic_rep()

template<class T, class M>

characteristic_rep | ( | const field_basic< T, M > & | dh | ) |

Definition at line 35 of file characteristic.cc.

## Member Function Documentation

## get_displacement()

template<class T, class M>

const field_basic< T, M > & get_displacement | ( |  | ) | const

Definition at line 177 of file characteristic.h.

## get_pre_computed()

template<class T, class M>

const characteristic_on_quadrature< T, M > & get_pre_computed | ( | const space_basic< T, M > & | Xh,
|  | const field_basic< T, M > & | dh,
|  | const piola_on_pointset< T > & | pops ) const

Definition at line 157 of file characteristic.cc.

## Member Data Documentation

## _dh

template<class T, class M>

field_basic<T,M> _dh

protected

Definition at line 187 of file characteristic.h.

## _coq_map

template<class T, class M>

map_type _coq_map

mutable protected

Definition at line 188 of file characteristic.h.

The documentation for this class was generated from the following files:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/characteristic.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/characteristic.cc